Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
CoverageDependency Struct Reference

Modifications to an InterfaceReaction2 rate based on a surface species coverage. More...

`#include <Reaction.h>`

## Public Member Functions
| CoverageDependency (double a_, double E_, double m_)
| Constructor. More...

## Public Attributes
double | a
| coefficient for exponential dependence on coverage [dimensionless] More...
double | E
| modification to the activation energy [K] More...
double | m
| exponent for power law dependence on coverage [dimensionless] More...

## Detailed Description

Modifications to an InterfaceReaction2 rate based on a surface species coverage.

Definition at line 403 of file Reaction.h.

## Constructor & Destructor Documentation

## ◆ CoverageDependency() [1/2]

CoverageDependency | ( | double | a_,
|  | double | E_,
|  | double | m_
| ) |  |
| inline

Constructor.

Parameters

  a_ | coefficient for exponential dependence on coverage [dimensionless]
  E_ | modification to the activation energy [K]
  m_ | exponent for power law dependence on coverage [dimensionless]

Definition at line 409 of file Reaction.h.

## ◆ CoverageDependency() [2/2]

CoverageDependency | ( |  | ) |
| inline

Definition at line 410 of file Reaction.h.

## Member Data Documentation

## ◆ a

double a

coefficient for exponential dependence on coverage [dimensionless]

Definition at line 411 of file Reaction.h.

## ◆ E

double E

modification to the activation energy [K]

Definition at line 412 of file Reaction.h.

## ◆ m

double m

exponent for power law dependence on coverage [dimensionless]

Definition at line 413 of file Reaction.h.

The documentation for this struct was generated from the following file:

- Reaction.h